Announcement Announcement Module
Collapse
No announcement yet.
Advanced Maven Pom Display Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Advanced Maven Pom Display

    Hello Everyone,

    I have been using STS 2.8.1 in linux (Ubuntu 11.10). I am very happy with how it is working. I have one issue that I am sure someone here probably knows. In previous versions, when opening the pom.xml (maven project with Spring aspect), you could select an advanced display for the tabs down below. The current version has only, Overview, dependency, dependency hierarchy, Effective POM, and pom.xml. There is not a plugin tab or anything else.

    Where can I enable this? Is not not included anymore? What am I missing?

    Thank you,

    Dave

  • #2
    In STS 2.8, we upgraded to m2eclipse v1.0. This version removed several features, including the one that you are describing. Because many of our users were not happy with this release of m2eclipse, we provide support for downgrading to the prior version of m2eclipse. Go to the STS Dashboard extensions page. Scroll down until you see m2eclipse v0.12. Install that. This will automatically uninstall all of m2eclipse v1.0.

    Note that you will need to make some changes to your maven projects (in your .project and .classpath files). STS provides automated support for upgrading your projects to the new m2eclipse, but we do not provide support for downgrading them to the old version.

    The new m2eclipse is significantly more performant than the old version, so you may decide that you want to keep the new version even though it has fewer features.

    Post again if you have any troubles downgrading your projects.

    Comment


    • #3
      Thank you for the reply. I can keep the newer version. I was wondering if I didn't configure something. I had gone over the preferences and just couldn't see anything.

      I take it that this is going to be addressed in a newer version?

      Thank you,


      Dave

      Comment


      • #4
        Originally posted by djratliff View Post
        I take it that this is going to be addressed in a newer version?
        I don't know. You'll have to talk to the m2eclipse team. See htto://eclipse.org/m2e.

        Comment

        Working...
        X